#53 Build broken with libmp4v2-1.9.0

closed-fixed
Jin
1
2010-04-06
2009-07-12
Anonymous
No

Tried to build the latest SVN MediaTomb code on my Gentoo machine, and I got an error because autoconf didn't detect mp4.h. libmp4v2-1.9.0 no longer has this file, instead there's "/usr/include/mp4v2/mp4v2.h".

...
checking mp4.h usability... no
checking mp4.h presence... no
checking for mp4.h... no
checking /usr/local/include/mp4.h usability... no
checking /usr/local/include/mp4.h presence... no
checking for /usr/local/include/mp4.h... no
configure: error: unable to configure libmp4v2 support

Discussion

  • Jin

    Jin - 2009-12-17
    • priority: 5 --> 1
    • assigned_to: nobody --> jin_eld
    • status: open --> open-fixed
     
  • Jin

    Jin - 2009-12-17

    Newer (or is it forked?) libmp4v2 uses a different header name, configure will not search for mp4v2.h and fallback to mp4.h to support both versions.

    Fixed in revision 2024

     
  • Jin

    Jin - 2010-04-06
    • status: open-fixed --> closed-fixed
     

Log in to post a comment.